import com.decontextualize.a2z.TextFilter;
import java.util.regex.*;

public class PronounGroup extends TextFilter {
  public static void main(String[] args) {
    new PronounGroup().run();
  }

  private String pronounPattern =
    "\\b(I|[Ww]e|[Yy]ou|[Hh]e|[Ss]he|[Tt]hey) (\\w+)\\b";

  public void eachLine(String line) {
    Pattern p = Pattern.compile(pronounPattern);
    Matcher m = p.matcher(line);
    if (m.find()) {
      String pronoun = m.group(1);
      String afterPronoun = m.group(2);
      println(pronoun + " " + afterPronoun);
    }
  }

}
